diff --git a/.gitignore b/.gitignore
index 4098106e76009133acc1c6abc1ed8c4e1291c7c9..56e4b6d4b43e9b0c1becd55c01a26e1855d58cda 100644
--- a/.gitignore
+++ b/.gitignore
@@ -9,6 +9,7 @@ objs
 cython_debug/
 python_build/
 python_format_venv/
+python_pylint_venv/
 .coverage*
 .eggs
 htmlcov/
diff --git a/tools/distrib/yapf_code.sh b/tools/distrib/yapf_code.sh
index 030412ebeb93890d4d1ec7c60410088ad1f2bce3..007b14810eb9e01cdac3d9c9ca01e43042dafc2d 100755
--- a/tools/distrib/yapf_code.sh
+++ b/tools/distrib/yapf_code.sh
@@ -53,7 +53,7 @@ for dir in $DIRS; do
   tempdir=`mktemp -d`
   cp -RT $dir $tempdir
   $PYTHON -m yapf -i -r -p $exclusion_args $dir
-  if ! diff -rq $dir $tempdir; then
+  if ! diff -r $dir $tempdir; then
     script_result=1
   fi
   rm -rf $tempdir